//---------------------------------------------------------------------
// SPACE TAPPER: game_special_entertainers.h
// by Omar Cornut
//---------------------------------------------------------------------
// Game - Special - Entertainers
//---------------------------------------------------------------------

#define ENTERTAINERS_ANIM_APPEARING		(0)
#define ENTERTAINERS_ANIM_DISAPPEARING	(1)
#define ENTERTAINERS_ANIM_PLAYING		(2)

#define ENTERTAINERS_STATE_AWAY						(0)
#define ENTERTAINERS_STATE_PLATFORM_APPEARING		(1) // Layout 3
#define ENTERTAINERS_STATE_APPEARING				(2)
#define ENTERTAINERS_STATE_ACTIVE					(3)
#define ENTERTAINERS_STATE_DISAPPEARING				(4)
#define ENTERTAINERS_STATE_PLATFORM_DISAPPEARING	(5) // Layout 3

//---------------------------------------------------------------------

void            	entertainers_init_videodata(void);

void				entertainers_init(void);
void            	entertainers_update(void);
void				entertainers_active(int length);
void                entertainers_aliens_watch_start(void);
void                entertainers_aliens_watch_stop(void);

//---------------------------------------------------------------------
