//---------------------------------------------------------------------
// SPACE TAPPER: game_tappers.h
// by Omar Cornut
//---------------------------------------------------------------------
// Game - Tappers
//---------------------------------------------------------------------

#define TAPPERS_ANIM_UP             (0)
#define TAPPERS_ANIM_DOWN           (1)
#define TAPPERS_ANIM_DOWN_IMMEDIATE (2)

#define TAPPERS_PALETTE_IDX         (3)

#define TAPPER_STATE_UP             (0)
#define TAPPER_STATE_DOWN           (1)

//---------------------------------------------------------------------

typedef struct
{
    u8          state;
    u8          sprite_idx;
    t_animator  anim;
}               t_tapper;

// extern t_tapper tappers[BAR_MAX];

//---------------------------------------------------------------------

void			tappers_init_videodata(void);
void            tappers_init(void);
void            tappers_update(void);
void			tappers_sprites_move_y(int y_offset);

void            tapper_up(int bar_idx);
void            tapper_down(int bar_idx);
void            tapper_down_immediate(int bar_idx);

//---------------------------------------------------------------------
