@echo off
set GFX2GBA=..\..\..\tools\gfx2gba\gfx2gba.exe

if "%1"=="clean"            	goto clean

if "%1"=="convert_bg" 			goto convert_bg
if "%1"=="convert_bg_map"		goto convert_bg_map
if "%1"=="convert_bg_tiles"		goto convert_bg_tiles
if "%1"=="convert_bg_tiles_pal" goto convert_bg_tiles_pal
if "%1"=="all"					goto start

echo Unknown parameter!
goto end

:start
echo ----------------------------------------------------------
echo CONVERTING ALL PROJECT LAYERS DATA
echo ----------------------------------------------------------
echo // data_layers.c >data_layers.c

rem for %%a in (*.) do call convert.bat convert_bg %%a 32

rem echo --- TITLE, TITLE_LOGO
rem call convert.bat convert_bg         title				3		64
rem call convert.bat convert_bg_tiles   title_logo			3
echo --- TITLE, TITLE_LOGO
call convert.bat convert_bg         title2					0		64
call convert.bat convert_bg_map     title2_stars			0
call convert.bat convert_bg_tiles   title2_window           0
echo --- ENTERTAINERS
call convert.bat convert_bg_tiles_pal	entertainers		3
echo --- LAYOUT 1, LAYOUT_BARS_*
call convert.bat convert_bg         l1_layout				19		64
call convert.bat convert_bg_tiles   l1_layout_bars_repeat	19
call convert.bat convert_bg_tiles   l1_layout_bars_start	19
echo --- LAYOUT 2, LAYOUT_BARS_*, ALIEN
call convert.bat convert_bg			l2_layout				3		64
call convert.bat convert_bg_tiles	l2_layout_bars_repeat	3
call convert.bat convert_bg_tiles	l2_layout_bars_start	3
echo --- LAYOUT 3, LAYOUT_BARS_*
call convert.bat convert_bg			l3_layout				19		64
call convert.bat convert_bg_tiles	l3_layout_bars_repeat	19
call convert.bat convert_bg_tiles	l3_layout_bars_start	19
call convert.bat convert_bg_map		l3_layout_platform		19
echo --- LAYOUT 5, LAYOUT_BARS_*, LAYOUT_PART
call convert.bat convert_bg			l5_layout				3		64
call convert.bat convert_bg_tiles	l5_layout_bars_repeat	3
call convert.bat convert_bg_tiles	l5_layout_bars_start	3
call convert.bat convert_bg_tiles	l5_layout_part	        3
echo --- FONT
call convert.bat convert_bg_tiles   font					0
echo --- GAME OVER
call convert.bat convert_bg         gameover				3		64
goto end

:clean
echo --- CLEANING
rm *.c
echo Done.
goto end

:convert_bg
shift
echo Converting Background Map+Pal+Tiles %1..
%GFX2GBA% -p%1 -Sp.lpal -St.ltiles -Sm.lmap -m -t8 -fsrc -c256 -C%2 -x -v%3 %1.bmp
echo //--- %1 >>data_layers.c
echo #include "%1.lpal.c" >>data_layers.c
echo #include "%1.lmap.c" >>data_layers.c
echo #include "%1.ltiles.c" >>data_layers.c
goto end

:convert_bg_map
shift
echo Converting Background Map+Tiles %1..
%GFX2GBA% -p%1 -St.ltiles -Sm.lmap -P -m -t8 -fsrc -c256 -C%2 -x -v%3 %1.bmp
echo //--- %1 >>data_layers.c
echo #include "%1.lmap.c" >>data_layers.c
echo #include "%1.ltiles.c" >>data_layers.c
goto end

:convert_bg_tiles
shift
echo Converting Background Tiles %1..
%GFX2GBA% -St.ltiles -D -P -t8 -fsrc -x -c256 -C%2 %1.bmp
echo //--- %1 >>data_layers.c
echo #include "%1.ltiles.c" >>data_layers.c
goto end

:convert_bg_tiles_pal
shift
echo Converting Background Pal+Tiles %1..
%GFX2GBA% -St.ltiles -Sp.lpal -D -t8 -fsrc -x -c256 -C%2 %1.bmp
echo //--- %1 >>data_layers.c
echo #include "%1.lpal.c" >>data_layers.c
echo #include "%1.ltiles.c" >>data_layers.c
goto end

:end
