@echo off
set GFX2GBA=..\..\..\tools\gfx2gba\gfx2gba.exe

if "%1"=="clean"    		goto clean
if "%1"=="convert"  		goto convert
if "%1"=="convert_256"  	goto convert_256
if "%1"=="convert_nopal" 	goto convert_nopal
if "%1"=="convert_nopalopt"	goto convert_nopalopt

:start
echo ----------------------------------------------------------
echo CONVERTING ALL PROJECT SPRITES DATA
echo ----------------------------------------------------------
echo // data_sprites.c >data_sprites.c
rem for %%a in (*.) do call convert.bat convert %%a 32
call convert.bat convert			alien1 					32
call convert.bat convert			alien2     				32
call convert.bat convert			alien3 					32
call convert.bat convert			alien5 					32
call convert.bat convert			alien6 					32
call convert.bat convert			alien7 					32
call convert.bat convert			alien8 					32
call convert.bat convert			bartender 				32
call convert.bat convert_nopal		lives					8
call convert.bat convert			beer 					8
call convert.bat convert_256		gameover_letters		32
call convert.bat convert			l1_money				8
call convert.bat convert			l2_money				8
call convert.bat convert			l1_tapper				16
call convert.bat convert 			l2_tapper				16
call convert.bat convert_nopalopt	l2_tubealien			32
call convert.bat convert_nopalopt	l2_tubealien_bubbles	16
call convert.bat convert            pause                   8
goto end

:clean
echo --- CLEANING
rm *.c
echo Done.
goto end

:convert
goto convert_nopalopt
shift
echo --- CONVERTING --- %1
%GFX2GBA% -p%1.spal -St.stiles -T%2 -t8 -D -fsrc -c16 %1.bmp
echo //--- %1 >>data_sprites.c
echo #include "%1.spal.c" >>data_sprites.c
echo #include "%1.stiles.c" >>data_sprites.c
goto end

:convert_256
shift
echo --- CONVERTING (256 COLORS) --- %1
%GFX2GBA% -p%1.spal -St.stiles -T%2 -t8 -D -fsrc -c256 %1.bmp
echo //--- %1 >>data_sprites.c
echo #include "%1.spal.c" >>data_sprites.c
echo #include "%1.stiles.c" >>data_sprites.c
goto end

:convert_nopal
shift
echo --- CONVERTING (NO PALETTE) --- %1
%GFX2GBA% -P -St.stiles -T%2 -t8 -D -fsrc -x -c16 %1.bmp
echo //--- %1 >>data_sprites.c
echo #include "%1.stiles.c" >>data_sprites.c
goto end

:convert_nopalopt
shift
echo --- CONVERTING (NO PALOPT) --- %1
%GFX2GBA% -p%1.spal -St.stiles -T%2 -t8 -D -fsrc -x -c16 %1.bmp
move "%1.pal.c" "%1.spal.c"
echo //--- %1 >>data_sprites.c
echo #include "%1.spal.c" >>data_sprites.c
echo #include "%1.stiles.c" >>data_sprites.c
goto end

:end
