//---------------------------------------------------------------------
// SPACE TAPPER: game_state.c
// by Omar Cornut
//---------------------------------------------------------------------
// Game State
//---------------------------------------------------------------------

#include "tapper.h"

//---------------------------------------------------------------------

void		game_state_newgame(int level_idx, int difficulty)
{
	game.state.score = 0;
	game.state.lives = GAME_LIVES_START;
	game.state.level = &levels[level_idx];
	game.state.difficulty = difficulty;
	game.state.rules = GAME_RULES_DEFAULT;
}

//---------------------------------------------------------------------

void		game_state_score_add(int delta)
{
	game.state.score += delta;
}

//---------------------------------------------------------------------
