//---------------------------------------------------------------------
// GBALIB: msprintf.h
// by Omar Cornut
//---------------------------------------------------------------------
// Minimal [v]sprintf() function
//---------------------------------------------------------------------
// Taken from the linux (2.4.0) sources
// Rewritten with features removed, in order to avoid linking LibC
// one which add a ~25/30 kb overhead of the program.
//---------------------------------------------------------------------

// FUNCTION: mvsprintf()
// Print formatted string to given buffer, getting parameters from given stack pointer
int 	mvsprintf(char *buf, const char *format, va_list args);

// FUNCTION: msprintf()
// Print formatted string to given buffer, getting parameters from stack
int		msprintf(char * buf, const char *format, ...);
