//---------------------------------------------------------------------
// SPACE TAPPER: inputs.c
// by Omar Cornut
//---------------------------------------------------------------------
// Inputs
//---------------------------------------------------------------------

#include "tapper.h"

//---------------------------------------------------------------------
// FUNCTIONS
//---------------------------------------------------------------------

int			inputs_read(void)
{
	// Read Inputs
	game.keys_old = game.keys;
	game.keys = REG_KEYINPUT;
		
	// Opposite Movements cancel each others
	if ((game.keys & (REG_KEYINPUT_KEY_RIGHT | REG_KEYINPUT_KEY_LEFT)) == 0)
		game.keys |= (REG_KEYINPUT_KEY_RIGHT | REG_KEYINPUT_KEY_LEFT);
	if ((game.keys & (REG_KEYINPUT_KEY_UP | REG_KEYINPUT_KEY_DOWN)) == 0)
		game.keys |= (REG_KEYINPUT_KEY_UP | REG_KEYINPUT_KEY_DOWN);
	game.keys = ~game.keys;

	// Check Reset
	if ((game.keys & (REG_KEYINPUT_KEYS_RESET)) == REG_KEYINPUT_KEYS_RESET)
		return (1);

	/*	
	// Check Pause
	if (game.keys & REG_KEYINPUT_KEY_START && !(game.keys_old & REG_KEYINPUT_KEY_START))
	{
	}
	*/
	
	return (0);
}

//---------------------------------------------------------------------
